Package ru.bitel.oss.systems.inventory.product.common.event

# Class ProductPeriodModifiedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.oss.systems.inventory.product.common.event.ProductPeriodModifiedEvent

All Implemented Interfaces:
  `Serializable`

public class ProductPeriodModifiedEvent extends ru.bitel.bgbilling.kernel.event.common.Event

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `ProductPeriodModifiedEvent()`
  ``
  `ProductPeriodModifiedEvent(int moduleId, int contractId, int accountId, int productSpecId, int productId, int activationModeId, Date productTimeFrom, Date productTimeTo, int productPeriodId, Date oldProductPeriodTimeFrom, Date oldProductPeriodTimeTo, Date newProductPeriodTimeFrom, Date newProductPeriodTimeTo, Date prolongationTime, int version)`
  ``
  `ProductPeriodModifiedEvent(int moduleId, int contractId, int userId, Product product, ProductPeriod oldProductPeriod, ProductPeriod newProductPeriod)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getAccountId()`
  `int`
  `getActivationModeId()`
  `Date`
  `getNewProductPeriodTimeFrom()`
  `Date`
  `getNewProductPeriodTimeTo()`
  Если null - это удаление периода, т.к. у периода срок окочания не может быть бесконечным
  `Date`
  `getOldProductPeriodTimeFrom()`
  `Date`
  `getOldProductPeriodTimeTo()`
  `int`
  `getProductId()`
  `int`
  `getProductPeriodId()`
  `int`
  `getProductSpecId()`
  `Date`
  `getProductTimeFrom()`
  `Date`
  `getProductTimeTo()`
  `Date`
  `getProlongationTime()`
  `int`
  `getVersion()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ProductPeriodModifiedEvent

    protected ProductPeriodModifiedEvent()

  - ### ProductPeriodModifiedEvent

    public ProductPeriodModifiedEvent(int moduleId, int contractId, int userId, Product product, ProductPeriod oldProductPeriod, ProductPeriod newProductPeriod)

  - ### ProductPeriodModifiedEvent

    public ProductPeriodModifiedEvent(int moduleId, int contractId, int accountId, int productSpecId, int productId, int activationModeId, Date productTimeFrom, Date productTimeTo, int productPeriodId, Date oldProductPeriodTimeFrom, Date oldProductPeriodTimeTo, Date newProductPeriodTimeFrom, Date newProductPeriodTimeTo, Date prolongationTime, int version)

- ## Method Details

  - ### getAccountId

    public int getAccountId()

  - ### getProductSpecId

    public int getProductSpecId()

  - ### getProductId

    public int getProductId()

  - ### getActivationModeId

    public int getActivationModeId()

  - ### getProductTimeFrom

    public Date getProductTimeFrom()

  - ### getProductTimeTo

    public Date getProductTimeTo()

  - ### getProductPeriodId

    public int getProductPeriodId()

  - ### getOldProductPeriodTimeFrom

    public Date getOldProductPeriodTimeFrom()

  - ### getOldProductPeriodTimeTo

    public Date getOldProductPeriodTimeTo()

  - ### getProlongationTime

    public Date getProlongationTime()

  - ### getNewProductPeriodTimeFrom

    public Date getNewProductPeriodTimeFrom()

  - ### getNewProductPeriodTimeTo

    public Date getNewProductPeriodTimeTo()
    Если null - это удаление периода, т.к. у периода срок окочания не может быть бесконечным
    Returns:

  - ### getVersion

    public int getVersion()